Index: t3lib/class.t3lib_tceforms.php
===================================================================
--- t3lib/class.t3lib_tceforms.php	(revision 9469)
+++ t3lib/class.t3lib_tceforms.php	(revision )
@@ -507,104 +477,110 @@
 			$dividers2tabs =& $TCA[$table]['ctrl']['dividers2tabs'];
 
 				// Load the description content for the table.
-			if ($this->edit_showFieldHelp || $this->doLoadTableDescr($table))	{
+			if ($this->edit_showFieldHelp || $this->doLoadTableDescr($table)) {
 				$GLOBALS['LANG']->loadSingleTableDescription($table);
 			}
 				// Get the current "type" value for the record.
-			$typeNum = $this->getRTypeNum($table,$row);
+			$typeNum = $this->getRTypeNum($table, $row);
 
 				// Find the list of fields to display:
-			if ($TCA[$table]['types'][$typeNum])	{
+			if ($TCA[$table]['types'][$typeNum]) {
 				$itemList = $TCA[$table]['types'][$typeNum]['showitem'];
-				if ($itemList)	{	// If such a list existed...
+				if ($itemList) { // If such a list existed...
 						// Explode the field list and possibly rearrange the order of the fields, if configured for
-					$fields = t3lib_div::trimExplode(',',$itemList,1);
+					$fields = t3lib_div::trimExplode(',', $itemList, 1);
-					if ($this->fieldOrder)	{
+					if ($this->fieldOrder) {
 						$fields = $this->rearrange($fields);
 					}
 
 						// Get excluded fields, added fiels and put it together:
-					$excludeElements = $this->excludeElements = $this->getExcludeElements($table,$row,$typeNum);
+					$excludeElements = $this->excludeElements = $this->getExcludeElements($table, $row, $typeNum);
-					$fields = $this->mergeFieldsWithAddedFields($fields,$this->getFieldsToAdd($table,$row,$typeNum));
+					$fields = $this->mergeFieldsWithAddedFields($fields, $this->getFieldsToAdd($table, $row, $typeNum));
 
 						// If TCEforms will render a tab menu in the next step, push the name to the tab stack:
 					$tabIdentString = '';
 					$tabIdentStringMD5 = '';
 					if (strstr($itemList, '--div--') !== false && $this->enableTabMenu && $dividers2tabs) {
-						$tabIdentString = 'TCEforms:'.$table.':'.$row['uid'];
+						$tabIdentString = 'TCEforms:' . $table . ':' . $row['uid'];
 						$tabIdentStringMD5 = $GLOBALS['TBE_TEMPLATE']->getDynTabMenuId($tabIdentString);
 							// Remember that were currently working on the general tab:
 						if (isset($fields[0]) && strpos($fields[0], '--div--') !== 0) {
-							$this->pushToDynNestedStack('tab', $tabIdentStringMD5.'-1');
+							$this->pushToDynNestedStack('tab', $tabIdentStringMD5 . '-1');
 						}
 					}
 
 						// Traverse the fields to render:
-					$cc=0;
+					$cc = 0;
-					foreach($fields as $fieldInfo)	{
+					foreach ($fields as $fieldInfo) {
 							// Exploding subparts of the field configuration:
-						$parts = explode(';',$fieldInfo);
+						$parts = explode(';', $fieldInfo);
 
 							// Getting the style information out:
-						$color_style_parts = t3lib_div::trimExplode('-',$parts[4]);
+						$color_style_parts = t3lib_div::trimExplode('-', $parts[4]);
-						if (strcmp($color_style_parts[0],''))	{
+						if (strcmp($color_style_parts[0], '')) {
 							$this->setColorScheme($GLOBALS['TBE_STYLES']['colorschemes'][intval($color_style_parts[0])]);
 						}
-						if (strcmp($color_style_parts[1],''))	{
+						if (strcmp($color_style_parts[1], '')) {
 							$this->fieldStyle = $GLOBALS['TBE_STYLES']['styleschemes'][intval($color_style_parts[1])];
-							if (!isset($this->fieldStyle))	$this->fieldStyle = $GLOBALS['TBE_STYLES']['styleschemes'][0];
+							if (!isset($this->fieldStyle)) {
+								$this->fieldStyle = $GLOBALS['TBE_STYLES']['styleschemes'][0];
-						}
+							}
+						}
-						if (strcmp($color_style_parts[2],''))	{
+						if (strcmp($color_style_parts[2], '')) {
-							$this->wrapBorder($out_array[$out_sheet],$out_pointer);
+							$this->wrapBorder($out_array[$out_sheet], $out_pointer);
 							$this->borderStyle = $GLOBALS['TBE_STYLES']['borderschemes'][intval($color_style_parts[2])];
-							if (!isset($this->borderStyle))	$this->borderStyle = $GLOBALS['TBE_STYLES']['borderschemes'][0];
+							if (!isset($this->borderStyle)) {
+								$this->borderStyle = $GLOBALS['TBE_STYLES']['borderschemes'][0];
-						}
+							}
+						}
 
 							// Render the field:
 						$theField = $parts[0];
-						if (!in_array($theField,$excludeElements))	{
+						if (!in_array($theField, $excludeElements)) {
-							if ($TCA[$table]['columns'][$theField])	{
+							if ($TCA[$table]['columns'][$theField]) {
-								$sFieldPal='';
+								$sFieldPal = '';
 
-								if ($parts[2] && !isset($this->palettesRendered[$this->renderDepth][$table][$parts[2]]))	{
+								if ($parts[2] && !isset($this->palettesRendered[$this->renderDepth][$table][$parts[2]])) {
-									$sFieldPal=$this->getPaletteFields($table,$row,$parts[2]);
+									$sFieldPal = $this->getPaletteFields($table, $row, $parts[2]);
 									$this->palettesRendered[$this->renderDepth][$table][$parts[2]] = 1;
 								}
-								$sField = $this->getSingleField($table,$theField,$row,$parts[1],0,$parts[3],$parts[2]);
+								$sField = $this->getSingleField($table, $theField, $row, $parts[1], 0, $parts[3], $parts[2]);
-								if ($sField)	{ $sField.= $sFieldPal; }
+								if ($sField) {
+									$sField .= $sFieldPal;
+								}
 
-								$out_array[$out_sheet][$out_pointer].= $sField;
+								$out_array[$out_sheet][$out_pointer] .= $sField;
-							} elseif ($theField=='--div--')	{
+							} elseif ($theField == '--div--') {
-								if ($cc>0)	{
+								if ($cc > 0) {
-									$out_array[$out_sheet][$out_pointer].=$this->getDivider();
+									$out_array[$out_sheet][$out_pointer] .= $this->getDivider();
 
 									if ($this->enableTabMenu && $dividers2tabs) {
-										$this->wrapBorder($out_array[$out_sheet],$out_pointer);
+										$this->wrapBorder($out_array[$out_sheet], $out_pointer);
 											// Remove last tab entry from the dynNestedStack:
 										$out_sheet++;
 											// Remove the previous sheet from stack (if any):
-										$this->popFromDynNestedStack('tab', $tabIdentStringMD5.'-'.($out_sheet));
+										$this->popFromDynNestedStack('tab', $tabIdentStringMD5 . '-' . ($out_sheet));
 											// Remember on which sheet we're currently working:
-										$this->pushToDynNestedStack('tab', $tabIdentStringMD5.'-'.($out_sheet+1));
+										$this->pushToDynNestedStack('tab', $tabIdentStringMD5 . '-' . ($out_sheet + 1));
 										$out_array[$out_sheet] = array();
 										$out_array_meta[$out_sheet]['title'] = $this->sL($parts[1]);
- 											// Register newline for Tab
- 										$out_array_meta[$out_sheet]['newline'] = ($parts[2] == "newline");
+											// Register newline for Tab
+										$out_array_meta[$out_sheet]['newline'] = ($parts[2] == "newline");
 									}
-								} else {	// Setting alternative title for "General" tab if "--div--" is the very first element.
+								} else { // Setting alternative title for "General" tab if "--div--" is the very first element.
 									$out_array_meta[$out_sheet]['title'] = $this->sL($parts[1]);
 										// Only add the first tab to the dynNestedStack if there are more tabs:
 									if ($tabIdentString && strpos($itemList, '--div--', strlen($fieldInfo))) {
-										$this->pushToDynNestedStack('tab', $tabIdentStringMD5.'-1');
+										$this->pushToDynNestedStack('tab', $tabIdentStringMD5 . '-1');
 									}
 								}
-							} elseif($theField=='--palette--')	{
+							} elseif ($theField == '--palette--') {
-								if ($parts[2] && !isset($this->palettesRendered[$this->renderDepth][$table][$parts[2]]))	{
+								if ($parts[2] && !isset($this->palettesRendered[$this->renderDepth][$table][$parts[2]])) {
 										// render a 'header' if not collapsed
 									if ($TCA[$table]['palettes'][$parts[2]]['canNotCollapse'] AND $parts[1]) {
-										$out_array[$out_sheet][$out_pointer].=$this->getPaletteFields($table,$row,$parts[2],$this->sL($parts[1]));
+										$out_array[$out_sheet][$out_pointer] .= $this->getPaletteFields($table, $row, $parts[2], $this->sL($parts[1]));
 									} else {
-										$out_array[$out_sheet][$out_pointer].=$this->getPaletteFields($table,$row,$parts[2],'','',$this->sL($parts[1]));
+										$out_array[$out_sheet][$out_pointer] .= $this->getPaletteFields($table, $row, $parts[2], '', '', $this->sL($parts[1]));
 									}
 									$this->palettesRendered[$this->renderDepth][$table][$parts[2]] = 1;
 								}
@@ -618,60 +594,60 @@
 		}
 
 			// Hook: getMainFields_postProcess (requested by Thomas Hempel for use with the "dynaflex" extension)
-		foreach ($this->hookObjectsMainFields as $hookObj)	{
+		foreach ($this->hookObjectsMainFields as $hookObj) {
-			if (method_exists($hookObj,'getMainFields_postProcess'))	{
+			if (method_exists($hookObj, 'getMainFields_postProcess')) {
-				$hookObj->getMainFields_postProcess($table,$row,$this);
+				$hookObj->getMainFields_postProcess($table, $row, $this);
 			}
 		}
 
 			// Wrapping a border around it all:
-		$this->wrapBorder($out_array[$out_sheet],$out_pointer);
+		$this->wrapBorder($out_array[$out_sheet], $out_pointer);
 
 			// Resetting styles:
 		$this->resetSchemes();
 
 			// Rendering Main palettes, if any
-		$mParr = t3lib_div::trimExplode(',',$TCA[$table]['ctrl']['mainpalette']);
+		$mParr = t3lib_div::trimExplode(',', $TCA[$table]['ctrl']['mainpalette']);
 		$i = 0;
-		if (count($mParr))	{
+		if (count($mParr)) {
-			foreach ($mParr as $mP)	{
+			foreach ($mParr as $mP) {
-				if (!isset($this->palettesRendered[$this->renderDepth][$table][$mP]))	{
+				if (!isset($this->palettesRendered[$this->renderDepth][$table][$mP])) {
-					$temp_palettesCollapsed=$this->palettesCollapsed;
+					$temp_palettesCollapsed = $this->palettesCollapsed;
-					$this->palettesCollapsed=0;
+					$this->palettesCollapsed = 0;
-					$label = ($i==0?$this->getLL('l_generalOptions'):$this->getLL('l_generalOptions_more'));
+					$label = ($i == 0 ? $this->getLL('l_generalOptions') : $this->getLL('l_generalOptions_more'));
-					$out_array[$out_sheet][$out_pointer].=$this->getPaletteFields($table,$row,$mP,$label);
+					$out_array[$out_sheet][$out_pointer] .= $this->getPaletteFields($table, $row, $mP, $label);
-					$this->palettesCollapsed=$temp_palettesCollapsed;
+					$this->palettesCollapsed = $temp_palettesCollapsed;
 					$this->palettesRendered[$this->renderDepth][$table][$mP] = 1;
 				}
-				$this->wrapBorder($out_array[$out_sheet],$out_pointer);
+				$this->wrapBorder($out_array[$out_sheet], $out_pointer);
 				$i++;
-				if ($this->renderDepth)	{
+				if ($this->renderDepth) {
 					$this->renderDepth--;
 				}
 			}
 		}
 
 			// Return the imploded $out_array:
-		if ($out_sheet>0)	{	// There were --div-- dividers around...
+		if ($out_sheet > 0) { // There were --div-- dividers around...
 
 				// Create parts array for the tab menu:
 			$parts = array();
-			foreach ($out_array as $idx => $sheetContent)	{
+			foreach ($out_array as $idx => $sheetContent) {
 				$content = implode('', $sheetContent);
 				if ($content) {
-					// Wrap content (row) with table-tag, otherwise tab/sheet will be disabled (see getdynTabMenu() )
+						// Wrap content (row) with table-tag, otherwise tab/sheet will be disabled (see getdynTabMenu() )
-					$content = '<table border="0" cellspacing="0" cellpadding="0" width="100%">'.$content.'</table>';
+					$content = '<table border="0" cellspacing="0" cellpadding="0" width="100%">' . $content . '</table>';
 				}
 				$parts[$idx] = array(
 					'label' => $out_array_meta[$idx]['title'],
 					'content' => $content,
-					'newline' => $out_array_meta[$idx]['newline'], 	// Newline for this tab/sheet
+					'newline' => $out_array_meta[$idx]['newline'], // Newline for this tab/sheet
 				);
 			}
 
 			if (count($parts) > 1) {
 					// Unset the current level of tab menus:
-				$this->popFromDynNestedStack('tab', $tabIdentStringMD5.'-'.($out_sheet+1));
+				$this->popFromDynNestedStack('tab', $tabIdentStringMD5 . '-' . ($out_sheet + 1));
 				$dividersToTabsBehaviour = (isset($TCA[$table]['ctrl']['dividers2tabs']) ? $TCA[$table]['ctrl']['dividers2tabs'] : 1);
 				$output = $this->getDynTabMenu($parts, $tabIdentString, $dividersToTabsBehaviour);
 
@@ -683,13 +659,13 @@
 			$output = '
 				<tr>
 					<td colspan="2">
-					'.$output.'
+					' . $output . '
 					</td>
 				</tr>';
 
 		} else {
 				// Only one, so just implode:
-			$output = implode('',$out_array[$out_sheet]);
+			$output = implode('', $out_array[$out_sheet]);
 		}
 
 		return $output;
@@ -705,31 +681,31 @@
 	 * @param	string		Commalist of fields from the table. These will be shown in the specified order in a form.
 	 * @return	string		TCEform elements in a string.
 	 */
-	function getListedFields($table,$row,$list)	{
+	function getListedFields($table, $row, $list) {
 		global $TCA;
 
 		t3lib_div::loadTCA($table);
-		if ($this->edit_showFieldHelp || $this->doLoadTableDescr($table))	{
+		if ($this->edit_showFieldHelp || $this->doLoadTableDescr($table)) {
 			$GLOBALS['LANG']->loadSingleTableDescription($table);
 		}
 
 		$out = '';
-		$types_fieldConfig = t3lib_BEfunc::getTCAtypes($table,$row,1);
+		$types_fieldConfig = t3lib_BEfunc::getTCAtypes($table, $row, 1);
 
-		$editFieldList=array_unique(t3lib_div::trimExplode(',',$list,1));
+		$editFieldList = array_unique(t3lib_div::trimExplode(',', $list, 1));
-		foreach($editFieldList as $theFieldC)	{
+		foreach ($editFieldList as $theFieldC) {
-			list($theField,$palFields) = preg_split('/\[|\]/', $theFieldC);
+			list($theField, $palFields) = preg_split('/\[|\]/', $theFieldC);
 			$theField = trim($theField);
 			$palFields = trim($palFields);
-			if ($TCA[$table]['columns'][$theField])	{
+			if ($TCA[$table]['columns'][$theField]) {
-				$parts = t3lib_div::trimExplode(';',$types_fieldConfig[$theField]['origString']);
+				$parts = t3lib_div::trimExplode(';', $types_fieldConfig[$theField]['origString']);
-				$sField = $this->getSingleField($table,$theField,$row,$parts[1],0,$parts[3],0);	// Don't sent palette pointer - there are no options anyways for a field-list.
+				$sField = $this->getSingleField($table, $theField, $row, $parts[1], 0, $parts[3], 0); // Don't sent palette pointer - there are no options anyways for a field-list.
-				$out.= $sField;
+				$out .= $sField;
-			} elseif($theField=='--div--')	{
+			} elseif ($theField == '--div--') {
-				$out.= $this->getDivider();
+				$out .= $this->getDivider();
 			}
-			if ($palFields)	{
+			if ($palFields) {
-				$out.= $this->getPaletteFields($table,$row,'','',implode(',',t3lib_div::trimExplode('|',$palFields,1)));
+				$out .= $this->getPaletteFields($table, $row, '', '', implode(',', t3lib_div::trimExplode('|', $palFields, 1)));
 			}
 		}
 
@@ -747,8 +723,8 @@
 	 * @param	string		Optional Link text for activating a palette (when palettes does not have another form element to belong to).
 	 * @return	string		HTML code.
 	 */
-	function getPaletteFields($table,$row,$palette,$header='',$itemList='',$collapsedHeader=NULL)	{
+	function getPaletteFields($table, $row, $palette, $header = '', $itemList = '', $collapsedHeader = NULL) {
-		if (!$this->doPrintPalette)	{
+		if (!$this->doPrintPalette) {
 			return '';
 		}
 
@@ -770,9 +746,9 @@
 
 				if ($header) {
 					$out .= $this->intoTemplate(
-							array('HEADER' => htmlspecialchars($header)),
-							$this->palFieldTemplateHeader
-						);
+						array('HEADER' => htmlspecialchars($header)),
+						$this->palFieldTemplateHeader
+					);
 				}
 
 				$collapsed = $this->isPalettesCollapsed($table, $palette);
@@ -787,12 +763,12 @@
 					$thePalIcon = '<span style="margin-left: 20px;">' . $thePalIcon . $collapsedHeader . '</span>';
 				}
 
-				$paletteHtml = $this->wrapPaletteField($this->printPalette($parts), $table, $row ,$palette, $collapsed);
+				$paletteHtml = $this->wrapPaletteField($this->printPalette($parts), $table, $row, $palette, $collapsed);
 
 				$out .= $this->intoTemplate(
-						array('PALETTE' => $thePalIcon . $paletteHtml),
-						$this->palFieldTemplate
-					);
+					array('PALETTE' => $thePalIcon . $paletteHtml),
+					$this->palFieldTemplate
+				);
 			}
 		}
 		return $out;
@@ -810,12 +786,12 @@
 	 * @param	integer		The palette pointer.
 	 * @return	mixed		String (normal) or array (palettes)
 	 */
-	function getSingleField($table,$field,$row,$altName='',$palette=0,$extra='',$pal=0)	{
+	function getSingleField($table, $field, $row, $altName = '', $palette = 0, $extra = '', $pal = 0) {
-		global $TCA,$BE_USER;
+		global $TCA, $BE_USER;
 
 			// Hook: getSingleField_preProcess
-		foreach ($this->hookObjectsSingleField as $hookObj)	{
+		foreach ($this->hookObjectsSingleField as $hookObj) {
-			if (method_exists($hookObj,'getSingleField_preProcess'))	{
+			if (method_exists($hookObj, 'getSingleField_preProcess')) {
 				$hookObj->getSingleField_preProcess($table, $field, $row, $altName, $palette, $extra, $pal, $this);
 			}
 		}
@@ -832,48 +808,47 @@
 
 			// Get the TCA configuration for the current field:
 		$PA['fieldConf'] = $TCA[$table]['columns'][$field];
-		$PA['fieldConf']['config']['form_type'] = $PA['fieldConf']['config']['form_type'] ? $PA['fieldConf']['config']['form_type'] : $PA['fieldConf']['config']['type'];	// Using "form_type" locally in this script
+		$PA['fieldConf']['config']['form_type'] = $PA['fieldConf']['config']['form_type'] ? $PA['fieldConf']['config']['form_type'] : $PA['fieldConf']['config']['type']; // Using "form_type" locally in this script
 
 		$skipThisField = $this->inline->skipField($table, $field, $row, $PA['fieldConf']['config']);
 
 			// Now, check if this field is configured and editable (according to excludefields + other configuration)
-		if (	is_array($PA['fieldConf']) &&
+		if (is_array($PA['fieldConf']) &&
-				!$skipThisField &&
+			!$skipThisField &&
-				(!$PA['fieldConf']['exclude'] || $BE_USER->check('non_exclude_fields',$table.':'.$field)) &&
+			(!$PA['fieldConf']['exclude'] || $BE_USER->check('non_exclude_fields', $table . ':' . $field)) &&
-				$PA['fieldConf']['config']['form_type']!='passthrough' &&
+			$PA['fieldConf']['config']['form_type'] != 'passthrough' &&
-				($this->RTEenabled || !$PA['fieldConf']['config']['showIfRTE']) &&
+			($this->RTEenabled || !$PA['fieldConf']['config']['showIfRTE']) &&
-				(!$PA['fieldConf']['displayCond'] || $this->isDisplayCondition($PA['fieldConf']['displayCond'],$row)) &&
+			(!$PA['fieldConf']['displayCond'] || $this->isDisplayCondition($PA['fieldConf']['displayCond'], $row)) &&
-				(!$TCA[$table]['ctrl']['languageField'] || $PA['fieldConf']['l10n_display'] || strcmp($PA['fieldConf']['l10n_mode'],'exclude') || $row[$TCA[$table]['ctrl']['languageField']]<=0) &&
+			(!$TCA[$table]['ctrl']['languageField'] || $PA['fieldConf']['l10n_display'] || strcmp($PA['fieldConf']['l10n_mode'], 'exclude') || $row[$TCA[$table]['ctrl']['languageField']] <= 0) &&
-				(!$TCA[$table]['ctrl']['languageField'] || !$this->localizationMode || $this->localizationMode===$PA['fieldConf']['l10n_cat'])
+			(!$TCA[$table]['ctrl']['languageField'] || !$this->localizationMode || $this->localizationMode === $PA['fieldConf']['l10n_cat'])
-			)	{
+		) {
 
 
-
 				// Fetching the TSconfig for the current table/field. This includes the $row which means that
-			$PA['fieldTSConfig'] = $this->setTSconfig($table,$row,$field);
+			$PA['fieldTSConfig'] = $this->setTSconfig($table, $row, $field);
 
 				// If the field is NOT disabled from TSconfig (which it could have been) then render it
-			if (!$PA['fieldTSConfig']['disabled'])	{
+			if (!$PA['fieldTSConfig']['disabled']) {
 					// Override fieldConf by fieldTSconfig:
 				$PA['fieldConf']['config'] = $this->overrideFieldConf($PA['fieldConf']['config'], $PA['fieldTSConfig']);
 
 					// Init variables:
-				$PA['itemFormElName']=$this->prependFormFieldNames.'['.$table.']['.$row['uid'].']['.$field.']';		// Form field name
+				$PA['itemFormElName'] = $this->prependFormFieldNames . '[' . $table . '][' . $row['uid'] . '][' . $field . ']'; // Form field name
-				$PA['itemFormElName_file']=$this->prependFormFieldNames_file.'['.$table.']['.$row['uid'].']['.$field.']';	// Form field name, in case of file uploads
+				$PA['itemFormElName_file'] = $this->prependFormFieldNames_file . '[' . $table . '][' . $row['uid'] . '][' . $field . ']'; // Form field name, in case of file uploads
-				$PA['itemFormElValue']=$row[$field];		// The value to show in the form field.
+				$PA['itemFormElValue'] = $row[$field]; // The value to show in the form field.
-				$PA['itemFormElID']=$this->prependFormFieldNames.'_'.$table.'_'.$row['uid'].'_'.$field;
+				$PA['itemFormElID'] = $this->prependFormFieldNames . '_' . $table . '_' . $row['uid'] . '_' . $field;
 
 					// set field to read-only if configured for translated records to show default language content as readonly
 				if ($PA['fieldConf']['l10n_display'] && t3lib_div::inList($PA['fieldConf']['l10n_display'], 'defaultAsReadonly') && $row[$TCA[$table]['ctrl']['languageField']] > 0) {
-					$PA['fieldConf']['config']['readOnly'] =  true;
+					$PA['fieldConf']['config']['readOnly'] = true;
-					$PA['itemFormElValue'] = $this->defaultLanguageData[$table.':'.$row['uid']][$field];
+					$PA['itemFormElValue'] = $this->defaultLanguageData[$table . ':' . $row['uid']][$field];
 				}
 
 					// Create a JavaScript code line which will ask the user to save/update the form due to changing the element. This is used for eg. "type" fields and others configured with "requestUpdate"
 				if (
-					($TCA[$table]['ctrl']['type'] && !strcmp($field,$TCA[$table]['ctrl']['type'])) ||
+					($TCA[$table]['ctrl']['type'] && !strcmp($field, $TCA[$table]['ctrl']['type'])) ||
-					($TCA[$table]['ctrl']['requestUpdate'] && t3lib_div::inList($TCA[$table]['ctrl']['requestUpdate'],$field))) {
+					($TCA[$table]['ctrl']['requestUpdate'] && t3lib_div::inList($TCA[$table]['ctrl']['requestUpdate'], $field))) {
-					if($GLOBALS['BE_USER']->jsConfirmation(1))	{
+					if ($GLOBALS['BE_USER']->jsConfirmation(1)) {
 						$alertMsgOnChange = 'if (confirm(TBE_EDITOR.labels.onChangeAlert) && TBE_EDITOR.checkSubmit(-1)){ TBE_EDITOR.submitForm() };';
 					} else {
 						$alertMsgOnChange = 'if (TBE_EDITOR.checkSubmit(-1)){ TBE_EDITOR.submitForm() };';
@@ -883,48 +858,48 @@
 				}
 
 					// Render as a hidden field?
-				if (in_array($field,$this->hiddenFieldListArr))	{
+				if (in_array($field, $this->hiddenFieldListArr)) {
-					$this->hiddenFieldAccum[]='<input type="hidden" name="'.$PA['itemFormElName'].'" value="'.htmlspecialchars($PA['itemFormElValue']).'" />';
+					$this->hiddenFieldAccum[] = '<input type="hidden" name="' . $PA['itemFormElName'] . '" value="' . htmlspecialchars($PA['itemFormElValue']) . '" />';
-				} else {	// Render as a normal field:
+				} else { // Render as a normal field:
 
 						// If the field is NOT a palette field, then we might create an icon which links to a palette for the field, if one exists.
-					if (!$PA['palette'])	{
+					if (!$PA['palette']) {
 						$paletteFields = $this->loadPaletteElements($table, $row, $PA['pal']);
-						if ($PA['pal'] && $this->isPalettesCollapsed($table,$PA['pal']) && count($paletteFields))	{
+						if ($PA['pal'] && $this->isPalettesCollapsed($table, $PA['pal']) && count($paletteFields)) {
-							list($thePalIcon,$palJSfunc) = $this->wrapOpenPalette(t3lib_iconWorks::getSpriteIcon('actions-system-options-view', array('title' => htmlspecialchars($this->getLL('l_moreOptions')))),$table,$row,$PA['pal'],1);
+							list($thePalIcon, $palJSfunc) = $this->wrapOpenPalette(t3lib_iconWorks::getSpriteIcon('actions-system-options-view', array('title' => htmlspecialchars($this->getLL('l_moreOptions')))), $table, $row, $PA['pal'], 1);
 						} else {
 							$thePalIcon = '';
 							$palJSfunc = '';
 						}
 					}
 						// onFocus attribute to add to the field:
-					$PA['onFocus'] = ($palJSfunc && !$BE_USER->uc['dontShowPalettesOnFocusInAB']) ? ' onfocus="'.htmlspecialchars($palJSfunc).'"' : '';
+					$PA['onFocus'] = ($palJSfunc && !$BE_USER->uc['dontShowPalettesOnFocusInAB']) ? ' onfocus="' . htmlspecialchars($palJSfunc) . '"' : '';
 
 						// Find item
-					$item='';
+					$item = '';
 					$PA['label'] = ($PA['altName'] ? $PA['altName'] : $PA['fieldConf']['label']);
 					$PA['label'] = ($PA['fieldTSConfig']['label'] ? $PA['fieldTSConfig']['label'] : $PA['label']);
 					$PA['label'] = ($PA['fieldTSConfig']['label.'][$GLOBALS['LANG']->lang] ? $PA['fieldTSConfig']['label.'][$GLOBALS['LANG']->lang] : $PA['label']);
 					$PA['label'] = $this->sL($PA['label']);
 						// JavaScript code for event handlers:
-					$PA['fieldChangeFunc']=array();
+					$PA['fieldChangeFunc'] = array();
-					$PA['fieldChangeFunc']['TBE_EDITOR_fieldChanged'] = "TBE_EDITOR.fieldChanged('".$table."','".$row['uid']."','".$field."','".$PA['itemFormElName']."');";
+					$PA['fieldChangeFunc']['TBE_EDITOR_fieldChanged'] = "TBE_EDITOR.fieldChanged('" . $table . "','" . $row['uid'] . "','" . $field . "','" . $PA['itemFormElName'] . "');";
-					$PA['fieldChangeFunc']['alert']=$alertMsgOnChange;
+					$PA['fieldChangeFunc']['alert'] = $alertMsgOnChange;
 						// if this is the child of an inline type and it is the field creating the label
 					if ($this->inline->isInlineChildAndLabelField($table, $field)) {
 						$inlineObjectId = implode(
 							t3lib_TCEforms_inline::Structure_Separator,
 							array(
-								$this->inline->inlineNames['object'],
-								$table,
-								$row['uid']
+								 $this->inline->inlineNames['object'],
+								 $table,
+								 $row['uid']
 							)
 						);
 						$PA['fieldChangeFunc']['inline'] = "inline.handleChangedField('" . $PA['itemFormElName'] . "','" . $inlineObjectId . "');";
 					}
 
 						// Based on the type of the item, call a render function:
-					$item = $this->getSingleField_SW($table,$field,$row,$PA);
+					$item = $this->getSingleField_SW($table, $field, $row, $PA);
 
 						// Add language + diff
 					if ($PA['fieldConf']['l10n_display'] && (t3lib_div::inList($PA['fieldConf']['l10n_display'], 'hideDiff') || t3lib_div::inList($PA['fieldConf']['l10n_display'], 'defaultAsReadonly'))) {
@@ -934,14 +909,14 @@
 					}
 
 					if ($renderLanguageDiff) {
-						$item = $this->renderDefaultLanguageContent($table,$field,$row,$item);
+						$item = $this->renderDefaultLanguageContent($table, $field, $row, $item);
-						$item = $this->renderDefaultLanguageDiff($table,$field,$row,$item);
+						$item = $this->renderDefaultLanguageDiff($table, $field, $row, $item);
 					}
 
 						// If the record has been saved and the "linkTitleToSelf" is set, we make the field name into a link, which will load ONLY this field in alt_doc.php
 					$label = t3lib_div::deHSCentities(htmlspecialchars($PA['label']));
-					if (t3lib_div::testInt($row['uid']) && $PA['fieldTSConfig']['linkTitleToSelf'] && !t3lib_div::_GP('columnsOnly'))	{
+					if (t3lib_div::testInt($row['uid']) && $PA['fieldTSConfig']['linkTitleToSelf'] && !t3lib_div::_GP('columnsOnly')) {
-						$lTTS_url = $this->backPath.'alt_doc.php?edit['.$table.']['.$row['uid'].']=edit&columnsOnly='.$field.'&returnUrl='.rawurlencode($this->thisReturnUrl());
+						$lTTS_url = $this->backPath . 'alt_doc.php?edit[' . $table . '][' . $row['uid'] . ']=edit&columnsOnly=' . $field . '&returnUrl=' . rawurlencode($this->thisReturnUrl());
 						$label = '<a href="' . htmlspecialchars($lTTS_url) . '">' . $label . '</a>';
 					}
 
@@ -949,38 +924,40 @@
 					$PA['label'] = $label = t3lib_BEfunc::wrapInHelp($table, $field, $label);
 
 						// Create output value:
-					if ($PA['fieldConf']['config']['form_type']=='user' && $PA['fieldConf']['config']['noTableWrapping'])	{
+					if ($PA['fieldConf']['config']['form_type'] == 'user' && $PA['fieldConf']['config']['noTableWrapping']) {
 						$out = $item;
-					} elseif ($PA['palette'])	{
+					} elseif ($PA['palette']) {
 							// Array:
-						$out=array(
+						$out = array(
 							'NAME' => $label,
-							'ID'=>$row['uid'],
+							'ID' => $row['uid'],
-							'FIELD'=>$field,
+							'FIELD' => $field,
-							'TABLE'=>$table,
+							'TABLE' => $table,
-							'ITEM'=>$item
+							'ITEM' => $item
 						);
-						$out = $this->addUserTemplateMarkers($out,$table,$field,$row,$PA);
+						$out = $this->addUserTemplateMarkers($out, $table, $field, $row, $PA);
 					} else {
 							// String:
-						$out=array(
+						$out = array(
-							'NAME'=>$label,
+							'NAME' => $label,
-							'ITEM'=>$item,
+							'ITEM' => $item,
-							'TABLE'=>$table,
+							'TABLE' => $table,
-							'ID'=>$row['uid'],
+							'ID' => $row['uid'],
-							'PAL_LINK_ICON'=>$thePalIcon,
+							'PAL_LINK_ICON' => $thePalIcon,
-							'FIELD'=>$field
+							'FIELD' => $field
 						);
-						$out = $this->addUserTemplateMarkers($out,$table,$field,$row,$PA);
+						$out = $this->addUserTemplateMarkers($out, $table, $field, $row, $PA);
 							// String:
-						$out=$this->intoTemplate($out);
+						$out = $this->intoTemplate($out);
 					}
 				}
-			} else $this->commentMessages[]=$this->prependFormFieldNames.'['.$table.']['.$row['uid'].']['.$field.']: Disabled by TSconfig';
+			} else {
+				$this->commentMessages[] = $this->prependFormFieldNames . '[' . $table . '][' . $row['uid'] . '][' . $field . ']: Disabled by TSconfig';
-		}
+			}
+		}
 			// Hook: getSingleField_postProcess
-		foreach ($this->hookObjectsSingleField as $hookObj)	{
+		foreach ($this->hookObjectsSingleField as $hookObj) {
-			if (method_exists($hookObj,'getSingleField_postProcess'))	{
+			if (method_exists($hookObj, 'getSingleField_postProcess')) {
 				$hookObj->getSingleField_postProcess($table, $field, $row, $out, $PA, $this);
 			}
 		}
